// ------------------------------------------------
// File : wsys.h
// Date: 4-apr-2002
// Author: giles
// Desc: 
//		WSys derives from Sys to provide basic win32 functions such as starting threads.
//
// (c) 2002 peercast.org
// ------------------------------------------------



#ifndef _XSYS_H
#define _XSYS_H
// ------------------------------------
#include "socket.h"
#include "sys.h"

// ------------------------------------
class XSys : public Sys
{
public:
	XSys();

	virtual	ClientSocket	*createSocket();
	virtual bool			startThread(ThreadInfo *);
	virtual void			sleep(int );
	virtual void			appMsg(long,long);
	virtual unsigned int	getTime();
	virtual unsigned int	rnd() {return rndGen.next();}
	virtual void			getURL(const char *);
	virtual void			exit();
	virtual bool			hasGUI() {return false;}
	virtual void			callLocalURL(const char *,int){}
	virtual void			setNotify(NOTIFY_TYPE,const char *,const char *){}
	virtual void			clearNotify(NOTIFY_TYPE){}
	virtual void			executeFile(const char *) {}

	Random rndGen;
};                               


// ------------------------------------
#endif
