// ------------------------------------------------
// File : wsocket.h
// Date: 4-apr-2002
// Author: giles
// Desc: 
//		see .cpp for details
//		
// (c) 2002 peercast.org
// ------------------------------------------------

#ifndef _LSOCKET_H
#define _LSOCKET_H

// I have absolutely no idea why Apple only defines socklen_t when the following
// macro is defined. truly bizarre.
#define _BSD_SOCKLEN_T_

#include "socket.h"
#include <sys/socket.h>
#include <netinet/in.h>
#include <unistd.h>
#include <sys/types.h>
#include <sys/time.h>
#include <stdio.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include <arpa/nameser.h>
#include <string.h>
#include <netdb.h>


// --------------------------------------------------
class XClientSocket : public ClientSocket
{
public:
	static void	init();

    XClientSocket()
    {
		sockNum = 0;
    }


	virtual void	open(char *, int);
	virtual int		read(void *, int);
	virtual void	write(const void *, int);
	virtual void	bind(Host &);
	virtual void	connect();
	virtual void	close();
	virtual ClientSocket * accept();
	virtual bool	active() {return sockNum != 0;}
	virtual int		readPending();
	virtual Host	getLocalHost();
	void			setBlocking(bool);
	void			setReuse(bool);

	static hostent *resolveHost(char *);

	void			checkTimeout(bool,bool);

	unsigned int 	sockNum;
	struct sockaddr_in remoteAddr;


};
#endif
